%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% lettre.cls
% Classe LaTeX : Lettre
% Version : 1.0.0 (20/12/2000)
% Copyright (c) 2000 Philippe ROY
% Auteur : Philippe ROY <ph_roy@yahoo.com>
%
% Ce document est un document libre ; vous pouvez le redistribuer et/ou le modifier
% sous les termes de la licence publique gnrale GNU telle qu'elle est publie par
% la Free Software Foundation ; soit la version 2 de la licence, ou
% (comme vous voulez) toute version ultrieure.
%
% Ce document est distribu dans l'espoir qu'il sera utile,
% mais SANS AUCUNE GARANTIE ; mme sans la garantie de
% COMMERCIALIT ou d'ADQUATION A UN BUT PARTICULIER. Voir la
% licence publique gnrale GNU pour plus de dtails.
%
% Vous devriez avoir reu une copie de la licence publique gnrale GNU
% avec ce programme ; si ce n'est pas le cas, crivez  la Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
%
%
% This document is free document; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bugs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Underfull hbox ? -> t gentil, mais mon papier s'imprime


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliothques
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{lettre}[2000/06/20 v1.0 Lettre]

\LoadClass[12pt,a4paper]{article}
\RequirePackage[french]{babel}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
\RequirePackage[french]{layout}
\RequirePackage{color}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mise en page
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\setlength{\textwidth}{19cm}		%Largeur du corps
%\setlength{\textheight}{27.7cm}	%Hauteur du corps

\setlength{\textwidth}{420pt}		%Largeur du corps
\setlength{\textheight}{680pt}		%Hauteur du corps
\setlength{\oddsidemargin}{1cm}		%Marge gauche
\setlength{\marginparsep}{0cm}		%Sparation droite entre corps et marge de notes
\setlength{\marginparwidth}{0cm}	%Largeur de la marge de notes

\setlength{\topmargin}{0cm}		%Marge haute
\setlength{\headheight}{0cm} 		%Hauteur de l'entte
\setlength{\headsep}{0cm} 		%Sparation basse entre corps et pied de page
\setlength{\footskip}{0cm} 		%Hauteur du pied de page
\setlength{\hoffset}{-30pt} 		%Bords gauche imprimeur
\setlength{\voffset}{-30pt} 		%Bords haut imprimeur

\pagestyle{empty}	


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% En-tte
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand {\CoordonneesData}{\mbox{}}
\newcommand {\Coordonnees}[1]{\renewcommand{\CoordonneesData}{#1}}

\newcommand {\SignatureData}{\mbox{}}
\newcommand {\Signature}[1]{\renewcommand{\SignatureData}{#1}}

\newcommand {\DestinataireData}{\mbox{}}
\newcommand {\Destinataire}[1]{\renewcommand{\DestinataireData}{#1}}

\newcommand {\ReferenceData}{\mbox{}}
\newcommand {\Reference}[1]{\renewcommand{\ReferenceData}{#1}}

\newcommand {\OuvertureData}{\mbox{}}
\newcommand {\Ouverture}[1]{\renewcommand{\OuvertureData}{#1}}

\newcommand {\FermetureData}{\mbox{}}
\newcommand {\Fermeture}[1]{\renewcommand{\FermetureData}{#1}}

\newcommand {\DateData}{\mbox{}}
\newcommand {\Date}[1]{\renewcommand{\DateData}{#1}}


\newcommand {\FaireEntete}
{
	\begin{tabbing}
		\mbox{
			% Coordonnes
			\makebox[10cm][l]{
			\begin{minipage}{10cm}
				\CoordonneesData
			\end{minipage}}

			% Destinataire
			\makebox[10cm][l]{
			\begin{minipage}{10cm}
				~\\~\\~\\~\\
				\DestinataireData\\~\\
				\DateData
			\end{minipage}}

		}
	\end{tabbing}
	~\\~\\

	% Ma trs chre ...
	\begin{tabbing}
		\hspace{1cm}\= \kill
		\> \ReferenceData\\~\\
		\> \OuvertureData\\~\\
	\end{tabbing}
}


\newcommand {\FaireFermeture}
{
	~\\
	% Ma trs chre ...
	\begin{tabbing}
		\hspace{1cm}\= \hspace{10cm}\= \kill
		\> \FermetureData\\~\\~\\~\\~\\~\\~\\
		\> \> \SignatureData\\
	\end{tabbing}
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fin du document
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%






